//pub mod common;
mod translate;
mod replicate;
mod rotate;
mod flip_horizontal;
mod flip_vertical;

use crate::point::Point;

// re-export transformers to be abe to use it directly from transformer::
pub use translate::Translate;
pub use replicate::Replicate;
pub use rotate::Rotate;
pub use flip_horizontal::FlipHorizontal;
pub use flip_vertical::FlipVertical;

pub trait Transformers {
    fn apply(&self, point_list: &[Point]) -> Vec<Point>;
}
